No Voice Recognition


#1

I’ve just installed kde plasmoid debian, and it’s not recognizing my voice when I speak the waking phrase. if I type the command into the terminal it works fine, but I want to be able to go about my business and just speak what I need. Am I doing something wrong?

I installed the program with the autoinstall instructions:

  1. wget https://raw.githubusercontent.com/MycroftAI/installers/master/kde_plasmoid_debian/install.sh
  2. chmod +x install.sh
  3. ./install.sh

once installed, I ran dev_setup.sh, then did ./start-mycroft.sh debug. The debugger started and I let it run until it stopped giving me output (except for an error with an API that just stopped a few minutes ago). I’ve stopped and started the program a couple times and it is paired with my account, but it still doesn’t recognize my voice when I speak.

I’m using a decent headset and everything works on that part (I use it all the time when playing overwatch), but it doesn’t work for this.


#2

Might be looking at the wrong audio input.

Check the voice.log to see what indicates (/var/log/mycroft/), might need adjusting.


#3

I don’t see any reference to any microphone in the log:

ALSA lib pcm_dsnoop.c:618:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dmix.c:1052:(snd_pcm_dmix_open) unable to open slave
ALSA lib pcm.c:2495:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.rear
ALSA lib pcm.c:2495:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.center_lfe
ALSA lib pcm.c:2495:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.side
ALSA lib pcm_dmix.c:1052:(snd_pcm_dmix_open) unable to open slave
13:12:51.603 - mycroft.client.speech.listener:create_wake_word_recognizer:249 - INFO - creating wake word engine
13:12:51.604 - mycroft.client.speech.hotword_factory:load_module:277 - INFO - Loading “hey mycroft” wake word via precise
13:12:52.824 - mycroft.client.speech.hotword_factory:on_download:203 - INFO - Downloading Precise executable…
13:12:57.828 - mycroft.client.speech.hotword_factory:during_download:215 - INFO - Still downloading executable…
13:13:01.608 - mycroft.client.speech.hotword_factory:load_module:303 - INFO - precise is taking too long to load
13:13:01.610 - mycroft.client.speech.hotword_factory:load_module:277 - INFO - Loading “hey mycroft” wake word via pocketsphinx
13:13:01.991 - mycroft.client.speech.listener:create_wakeup_recognizer:269 - INFO - creating stand up word engine
13:13:01.992 - mycroft.client.speech.hotword_factory:load_module:277 - INFO - Loading “wake up” wake word via pocketsphinx
13:13:03.964 - mycroft.messagebus.client.ws:on_open:60 - INFO - Connected
13:13:07.415 - mycroft.client.speech.hotword_factory:on_complete:223 - INFO - Precise download complete!
13:13:08.151 - mycroft.client.speech.listener:create_wake_word_recognizer:249 - INFO - creating wake word engine
13:13:08.152 - mycroft.client.speech.hotword_factory:load_module:277 - INFO - Loading “hey mycroft” wake word via precise
13:13:09.615 - mycroft.client.speech.hotword_factory::187 - INFO - Updated precise model
13:13:09.874 - mycroft.client.speech.listener:create_wakeup_recognizer:269 - INFO - creating stand up word engine
13:13:09.876 - mycroft.client.speech.hotword_factory:load_module:277 - INFO - Loading “wake up” wake word via pocketsphinx
13:38:13.844 - mycroft.messagebus.client.ws:on_error:72 - WARNING - Could not send message because connection has closed
13:38:13.960 - mycroft.messagebus.client.ws:on_error:81 - ERROR - Exception closing websocket: WebSocketConnectionClosedException(‘Connection is already closed.’,)
13:38:14.018 - mycroft.messagebus.client.ws:on_error:83 - WARNING - WS Client will reconnect in 5 seconds.
13:38:19.024 - mycroft.messagebus.client.ws:on_error:74 - ERROR - === ConnectionRefusedError(111, ‘Connection refused’) ===
Traceback (most recent call last):
File “/home/gemivere/mycroft-core/mycroft/messagebus/client/ws.py”, line 77, in on_error
self.emitter.emit(‘error’, error)
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/pyee/init.py”, line 178, in emit
raise args[0]
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_app.py”, line 305, in run_forever
dispatcher.read(self.sock.sock, read, check)
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_app.py”, line 53, in read
if not read_callback():
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_app.py”, line 271, in read
op_code, frame = self.sock.recv_data_frame(True)
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_core.py”, line 340, in recv_data_frame
frame = self.recv_frame()
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_core.py”, line 374, in recv_frame
return self.frame_buffer.recv_frame()
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_abnf.py”, line 361, in recv_frame
self.recv_header()
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_abnf.py”, line 309, in recv_header
header = self.recv_strict(2)
File "/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/abnf.py", line 396, in recv_strict
bytes
= self.recv(min(16384, shortage))
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_core.py”, line 449, in _recv
return recv(self.sock, bufsize)
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_socket.py”, line 94, in recv
“Connection is already closed.”)
websocket._exceptions.WebSocketConnectionClosedException: Connection is already closed.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_app.py”, line 254, in run_forever
proxy_type=proxy_type)
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_core.py”, line 220, in connect
options.pop(‘socket’, None))
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_http.py”, line 120, in connect
sock = _open_socket(addrinfo_list, options.sockopt, options.timeout)
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_http.py”, line 190, in _open_socket
raise err
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_http.py”, line 170, in _open_socket
sock.connect(address)
ConnectionRefusedError: [Errno 111] Connection refused
13:38:19.027 - mycroft.messagebus.client.ws:on_error:81 - ERROR - Exception closing websocket: ConnectionRefusedError(111, ‘Connection refused’)
13:38:19.028 - mycroft.messagebus.client.ws:on_error:83 - WARNING - WS Client will reconnect in 10 seconds.
13:38:29.098 - mycroft.messagebus.client.ws:on_error:74 - ERROR - === ConnectionRefusedError(111, ‘Connection refused’) ===
Traceback (most recent call last):
File “/home/gemivere/mycroft-core/mycroft/messagebus/client/ws.py”, line 77, in on_error
self.emitter.emit(‘error’, error)
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/pyee/init.py”, line 178, in emit
raise args[0]
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_app.py”, line 305, in run_forever
dispatcher.read(self.sock.sock, read, check)
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_app.py”, line 53, in read
if not read_callback():
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_app.py”, line 271, in read
op_code, frame = self.sock.recv_data_frame(True)
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_core.py”, line 340, in recv_data_frame
frame = self.recv_frame()
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_core.py”, line 374, in recv_frame
return self.frame_buffer.recv_frame()
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_abnf.py”, line 361, in recv_frame
self.recv_header()
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_abnf.py”, line 309, in recv_header
header = self.recv_strict(2)
File "/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/abnf.py", line 396, in recv_strict
bytes
= self.recv(min(16384, shortage))
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_core.py”, line 449, in _recv
return recv(self.sock, bufsize)
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_socket.py”, line 94, in recv
“Connection is already closed.”)
websocket._exceptions.WebSocketConnectionClosedException: Connection is already closed.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/gemivere/mycroft-core/mycroft/messagebus/client/ws.py”, line 77, in on_error
self.emitter.emit(‘error’, error)
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/pyee/init.py”, line 178, in emit
raise args[0]
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_app.py”, line 254, in run_forever
proxy_type=proxy_type)
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_core.py”, line 220, in connect
options.pop(‘socket’, None))
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_http.py”, line 120, in connect
sock = _open_socket(addrinfo_list, options.sockopt, options.timeout)
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_http.py”, line 190, in _open_socket
raise err
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_http.py”, line 170, in _open_socket
sock.connect(address)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_app.py”, line 254, in run_forever
proxy_type=proxy_type)
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_core.py”, line 220, in connect
options.pop(‘socket’, None))
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_http.py”, line 120, in connect
sock = _open_socket(addrinfo_list, options.sockopt, options.timeout)
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_http.py”, line 190, in _open_socket
raise err
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_http.py”, line 170, in _open_socket
sock.connect(address)
ConnectionRefusedError: [Errno 111] Connection refused
13:38:29.159 - mycroft.messagebus.client.ws:on_error:81 - ERROR - Exception closing websocket: ConnectionRefusedError(111, ‘Connection refused’)
13:38:29.161 - mycroft.messagebus.client.ws:on_error:83 - WARNING - WS Client will reconnect in 20 seconds.
13:38:49.240 - mycroft.messagebus.client.ws:on_error:74 - ERROR - === ConnectionRefusedError(111, ‘Connection refused’) ===
Traceback (most recent call last):
File “/home/gemivere/mycroft-core/mycroft/messagebus/client/ws.py”, line 77, in on_error
self.emitter.emit(‘error’, error)
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/pyee/init.py”, line 178, in emit
raise args[0]
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_app.py”, line 305, in run_forever
dispatcher.read(self.sock.sock, read, check)
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_app.py”, line 53, in read
if not read_callback():
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_app.py”, line 271, in read
op_code, frame = self.sock.recv_data_frame(True)
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_core.py”, line 340, in recv_data_frame
frame = self.recv_frame()
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_core.py”, line 374, in recv_frame
return self.frame_buffer.recv_frame()
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_abnf.py”, line 361, in recv_frame
self.recv_header()
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_abnf.py”, line 309, in recv_header
header = self.recv_strict(2)
File "/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/abnf.py", line 396, in recv_strict
bytes
= self.recv(min(16384, shortage))
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_core.py”, line 449, in _recv
return recv(self.sock, bufsize)
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_socket.py”, line 94, in recv
“Connection is already closed.”)
websocket._exceptions.WebSocketConnectionClosedException: Connection is already closed.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/gemivere/mycroft-core/mycroft/messagebus/client/ws.py”, line 77, in on_error
self.emitter.emit(‘error’, error)
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/pyee/init.py”, line 178, in emit
raise args[0]
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_app.py”, line 254, in run_forever
proxy_type=proxy_type)
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_core.py”, line 220, in connect
options.pop(‘socket’, None))
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_http.py”, line 120, in connect
sock = _open_socket(addrinfo_list, options.sockopt, options.timeout)
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_http.py”, line 190, in _open_socket
raise err
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_http.py”, line 170, in _open_socket
sock.connect(address)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/gemivere/mycroft-core/mycroft/messagebus/client/ws.py”, line 77, in on_error
self.emitter.emit(‘error’, error)
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/pyee/init.py”, line 178, in emit
raise args[0]
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_app.py”, line 254, in run_forever
proxy_type=proxy_type)
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_core.py”, line 220, in connect
options.pop(‘socket’, None))
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_http.py”, line 120, in connect
sock = _open_socket(addrinfo_list, options.sockopt, options.timeout)
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_http.py”, line 190, in _open_socket
raise err
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_http.py”, line 170, in _open_socket
sock.connect(address)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_app.py”, line 254, in run_forever
proxy_type=proxy_type)
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_core.py”, line 220, in connect
options.pop(‘socket’, None))
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_http.py”, line 120, in connect
sock = _open_socket(addrinfo_list, options.sockopt, options.timeout)
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_http.py”, line 190, in _open_socket
raise err
File “/home/gemivere/mycroft-core/.venv/lib/python3.6/site-packages/websocket/_http.py”, line 170, in _open_socket
sock.connect(address)
ConnectionRefusedError: [Errno 111] Connection refused
13:38:49.244 - mycroft.messagebus.client.ws:on_error:81 - ERROR - Exception closing websocket: ConnectionRefusedError(111, ‘Connection refused’)
13:38:49.246 - mycroft.messagebus.client.ws:on_error:83 - WARNING - WS Client will reconnect in 40 seconds.
13:39:29.312 - mycroft.messagebus.client.ws:on_open:60 - INFO - Connected


#4

to add to this, I’ve done mycroft-mic-test and it recognizes my voice, successfully recording me. But it still doesn’t recognize when I’m talking in the debug screen.


#5

Hi Gemivere,

In the debug screen, does the mic level in the bottom right corner jump as you speak?

This should tell us if the mic is not picking up audio within Mycroft, or if it’s the wake word engine not hearing “Hey Mycroft”


#6

it’s definitely that it’s not picking up the mic, it doesn’t even show a mic level. Also, I’ve tried another AI called Almond and had the same issue.

If it helps, I’m running Linux Mint 19 Mate.


#7

Generally if my mic stops working on linux, a simple one liner gets it going again:
mycroft-start debug restart

If that doesn’t work, try re-running setup with
./dev_setup.sh -sm
The -sm flag is to skip the mimic build

If neither of the above work we’d need to start looking at the general audio troubleshooting steps


#8

okay so restarting didn’t do anything but reinstalling did. It now recognizes that I’m speaking (the mic level goes up), but doesn’t respond. I ran through the audio troubleshooting but there wasn’t anything there I haven’t tried already.


#9

If the system is processing audio but not triggering on the wake word, there’s an immediate answer and a slightly longer-term answer.

In not very long we’re releasing an update to our wake word system that will significantly improve it’s ability to detect different voices. This doesn’t solve your problem right now and would require you to hit the button in the plasmoid so not the ideal scenario.

If you’re keen to try new things and get it working, you can head to your Advanced Settings in Home. I’d first try some of the other pre-configured wake words to see if they perform better with your voice. Or you can choose ‘Custom’, copy the “Hey Mycroft” values across, and slightly reduce the threshold for activation. This takes some trial and error to tweak and find an appropriate value.

There’s more on the available Advanced Settings in our documentation.


#10

Hi
Exactly the same for me here. I’m also on Linux Mint 19.
The mike tests are ok (using e.g. mycroft-mic-test) and when I start mycroft I can see the mike “scale” on the right of the bottom window and it changes so it hears something but does not recognize it…
In my logs, I always have lines in the form:

19:00:16.300 - mycroft.client.speech.hotword_factory:during_download:215 - INFO - Still downloading executable…
18:58:03.568 - mycroft.client.speech.hotword_factory:initialize:297 - ERROR - Could not create hotword. Falling back to default.
Traceback (most recent call last):
File “/home/olivier/apps/mycroft-core/mycroft/client/speech/hotword_factory.py”, line 285, in initialize
instance = clazz(hotword, config, lang=lang)
File “/home/olivier/apps/mycroft-core/mycroft/client/speech/hotword_factory.py”, line 140, in init
precise_exe = self.install_exe(precise_config[‘dist_url’])
File “/home/olivier/apps/mycroft-core/mycroft/client/speech/hotword_factory.py”, line 176, in install_exe
on_download=self.on_download, on_complete=self.on_complete
File “/home/olivier/apps/mycroft-core/.venv/lib/python3.6/site-packages/petact/petact.py”, line 121, in install_package
download_extract_tar(tar_url, folder, data_file)
File “/home/olivier/apps/mycroft-core/.venv/lib/python3.6/site-packages/petact/petact.py”, line 83, in download_extract_tar
tar.extractall(path=folder)
File “/usr/lib/python3.6/tarfile.py”, line 2010, in extractall
numeric_owner=numeric_owner)
File “/usr/lib/python3.6/tarfile.py”, line 2052, in extract
numeric_owner=numeric_owner)
File “/usr/lib/python3.6/tarfile.py”, line 2122, in _extract_member
self.makefile(tarinfo, targetpath)
File “/usr/lib/python3.6/tarfile.py”, line 2171, in makefile
copyfileobj(source, target, tarinfo.size, ReadError, bufsize)
File “/usr/lib/python3.6/tarfile.py”, line 255, in copyfileobj
buf = src.read(remainder)
File “/usr/lib/python3.6/gzip.py”, line 276, in read
return self._buffer.read(size)
File “/usr/lib/python3.6/_compression.py”, line 68, in readinto
data = self.read(len(byte_view))
File “/usr/lib/python3.6/gzip.py”, line 482, in read
raise EOFError("Compressed file ended before the "
EOFError: Compressed file ended before the end-of-stream marker was reached

Is this linked to the issue ?
I also have this kind of recurring errors:

18:58:51.177 - mycroft.skills.settings:_poll_skill_settings:415 - ERROR - Failed to fetch skill settings: ValueError("invalid literal for int() with base 10: ''",)
Traceback (most recent call last):
  File "/home/olivier/apps/mycroft-core/mycroft/skills/settings.py", line 408, in _poll_skill_settings
    self.initialize_remote_settings()
  File "/home/olivier/apps/mycroft-core/mycroft/skills/settings.py", line 227, in initialize_remote_settings
    settings = self._request_my_settings(self.skill_gid)
  File "/home/olivier/apps/mycroft-core/mycroft/skills/settings.py", line 517, in _request_my_settings
    self._type_cast(skill_settings, to_platform='core')
  File "/home/olivier/apps/mycroft-core/mycroft/skills/settings.py", line 494, in _type_cast
    sections[i]['fields'][j]['value'] = int(value)
ValueError: invalid literal for int() with base 10: 

I had a look to the links above but I think that with the new Mycroft site, some of them are broken. Anyway, I didn’t find any answer here.


#11

Hi there, and welcome to the Community :slight_smile:

Is this a fresh install or it was previously working and now isn’t responding?

For the second error block, I’ve just seen something similar on one of my devices so have set up some extra logging to try and catch what’s going on.


#12

Thanks for your reply
This is a fresh install I did 2 weeks ago.
What do you suggest for extra logging in the 2nd case?


#13

I had constantly the same kind of logs:

16:17:06.477 - mycroft.client.speech.listener:create_wake_word_recognizer:249 - INFO - creating wake word engine
16:17:06.479 - mycroft.client.speech.hotword_factory:load_module:277 - INFO - Loading “hey mycroft” wake word via precise
16:17:08.913 - mycroft.client.speech.hotword_factory:on_download:203 - INFO - Downloading Precise executable…
16:17:09.092 - mycroft.client.speech.hotword_factory:during_download:215 - INFO - Still downloading executable…
16:17:13.916 - mycroft.client.speech.hotword_factory:during_download:215 - INFO - Still downloading executable…
16:17:16.482 - mycroft.client.speech.hotword_factory:load_module:303 - INFO - precise is taking too long to load
16:17:16.484 - mycroft.client.speech.hotword_factory:load_module:277 - INFO - Loading “hey mycroft” wake word via pocketsphinx
16:17:16.515 - mycroft.client.speech.listener:create_wakeup_recognizer:269 - INFO - creating stand up word engine
16:17:16.516 - mycroft.client.speech.hotword_factory:load_module:277 - INFO - Loading “wake up” wake word via pocketsphinx
16:17:18.789 - mycroft.client.speech.listener:create_wake_word_recognizer:249 - INFO - creating wake word engine
16:17:18.791 - mycroft.client.speech.hotword_factory:load_module:277 - INFO - Loading “hey mycroft” wake word via precise
16:17:21.317 - mycroft.client.speech.hotword_factory:on_download:203 - INFO - Downloading Precise executable…
16:17:26.319 - mycroft.client.speech.hotword_factory:during_download:215 - INFO - Still downloading executable…
16:17:27.200 - mycroft.client.speech.hotword_factory:during_download:215 - INFO - Still downloading executable…
16:17:28.795 - mycroft.client.speech.hotword_factory:load_module:303 - INFO - precise is taking too long to load
16:17:28.797 - mycroft.client.speech.hotword_factory:load_module:277 - INFO - Loading “hey mycroft” wake word via pocketsphinx
16:17:28.832 - mycroft.client.speech.listener:create_wakeup_recognizer:269 - INFO - creating stand up word engine
16:17:28.833 - mycroft.client.speech.hotword_factory:load_module:277 - INFO - Loading “wake up” wake word via pocketsphinx
16:17:39.094 - mycroft.client.speech.hotword_factory:during_download:215 - INFO - Still downloading executable…

And I noticed that the tar.gz file containing precise was corrupted in ~/.mycroft/precise (error message when trying to list it with tar “at the end of file”) so I removed it and it was downloaded again and is now ok but no change…
Now the logs are:

16:25:21.226 - mycroft.client.speech.listener:create_wake_word_recognizer:249 - INFO - creating wake word engine
16:25:21.226 - mycroft.client.speech.hotword_factory:load_module:277 - INFO - Loading “hey mycroft” wake word via precise
16:25:22.907 - mycroft.client.speech.listener:create_wakeup_recognizer:269 - INFO - creating stand up word engine
16:25:22.908 - mycroft.client.speech.hotword_factory:load_module:277 - INFO - Loading “wake up” wake word via pocketsphinx
16:25:25.426 - mycroft.client.speech.listener:create_wake_word_recognizer:249 - INFO - creating wake word engine
16:25:25.427 - mycroft.client.speech.hotword_factory:load_module:277 - INFO - Loading “hey mycroft” wake word via precise
16:25:27.081 - mycroft.client.speech.listener:create_wakeup_recognizer:269 - INFO - creating stand up word engine
16:25:27.084 - mycroft.client.speech.hotword_factory:load_module:277 - INFO - Loading “wake up” wake word via pocketsphinx

So it seems that mycroft is changing back and forth from precise to pocketsphinx…
Is there a simple way to prevent this?


#14

You can manually download precise from here: https://github.com/MycroftAI/precise-data/blob/dist/
Pick the relevant architecture for your platform, then download precise-engine.tar.gz, unpack in the relevant directory.


#15

This is probably the best place to grab it:

There is a newer 0.3.0 release however still working out some bugs in it so are continuing to use 0.2.0 at this stage. If you’re using a standard linux install this should most likely be unpacked to ~/.mycroft/precise/precise-engine

For the ValueError, I was trying to catch what value was triggering it but I’m no longer getting the error on my machine.

The easiest would be to just increase the logging level temporarily to see which skill is updating at the time the error is thrown. From the CLI just type:
log level debug
This will then add a log line every time a skill fetches new settings. If we need to we can add specific logging into settings.py but hopefully knowing which skill settings are causing the issue will lead us to the answer.

Can I also check, what version of Mycroft-core are you running?


#16

Thanks for your answers.
It turned out the microphone was highly saturated. By lowering its level by half, the detection came back and now everything is fine…


#17

Thanks for the update leolivier, this is a great tip.

I’ll add it to the audio troubleshooting documentation.